org.apache.tinkerpop.gremlin.driver.simple

## Class NioClient

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.simple.AbstractClient
  - - org.apache.tinkerpop.gremlin.driver.simple.NioClient

- All Implemented Interfaces:
    Closeable, AutoCloseable, SimpleClient

  Deprecated.
  As of release 3.3.10, not replaced, use `WebSocketClient`.

      @Deprecated
      public class NioClient
      extends AbstractClient

  A simple, non-thread safe Gremlin Server client using NIO. Typical use is for testing and demonstration.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.simple.AbstractClient

      `callbackResponseHandler, group`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioClient()` Deprecated.
    `NioClient(URI uri)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `void` | `writeAndFlush(RequestMessage requestMessage)` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.simple.AbstractClient

      `submit, submit, submitAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.simple.SimpleClient

      `submit, submit, submitAsync`

- - ### Constructor Detail

    - #### NioClient

          public NioClient()

      Deprecated.

    - #### NioClient

          public NioClient(URI uri)

      Deprecated.

  - ### Method Detail

    - #### writeAndFlush

          public void writeAndFlush(RequestMessage requestMessage)
                             throws Exception

      Deprecated.
      Specified by:
        `writeAndFlush` in class `AbstractClient`
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws IOException

      Deprecated.
      Throws:
        `IOException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.